Login Hasło

#1 2007.07.22 00:33:44

hornet
Użytkownik
Zarejestrowany: 2007.01.27
Posty: 59
System: Gentoo Linux
Fluxbox:

audacious - problem z kodekami

Witam,

Mam propblem z Audaciousem. Kodeki są zainstalowane oraz włączone w ustawianiach programów. Niestety przy odsłuchaniu wav oraz wma program zwyczajnie się zawiesza. Ktoś ma tez z tym problem?

Offline

 

#2 2007.07.22 01:46:35

marb
Użytkownik
Zarejestrowany: 2006.11.24
Posty: 54

Re: audacious - problem z kodekami

Sprawdzałeś inne odtwarzacze?
W konsoli coś wywala?

Offline

 

#3 2007.07.22 12:53:22

hornet
Użytkownik
Zarejestrowany: 2007.01.27
Posty: 59
System: Gentoo Linux
Fluxbox:

Re: audacious - problem z kodekami

Dla obu formatów plików wychodzi to samo. Co dziwne z konsoli wyświetla to, ale sypie się tym:

Kod:

Failed to load plugin (/usr/lib/audacious/Output/libarts.so): libartsc.so.0: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu
Failed to load plugin (/usr/lib/audacious/General/liblirc.so): liblirc_client.so.0: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu
Failed to load plugin (/usr/lib/audacious/Visualization/libprojectm.so): libprojectM.so.0: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu

> ls -1 /usr/lib/audacious/Output/           
libarts.so

> ls -1 /usr/lib/audacious/General/                   
liblirc.so

ls -1 /usr/lib/audacious/Visualization/libprojectm.so
/usr/lib/audacious/Visualization/libprojectm.so

Offline

 

#4 2007.07.23 08:40:25

azhag
Dozorca
Skąd: Warszawa
Zarejestrowany: 2006.11.21
Posty: 820
System: Debian Testing
Fluxbox: 1.3.5
WWW

Re: audacious - problem z kodekami

so.0

zrób symlinki wtyczka.so -> wtyczka.so.0


Dr Chandra, will I dream?
pogoda w conky :: wybierz jabbera :: polski portal debiana :: registered linux user #403712

Offline

 

#5 2007.07.23 17:00:11

hornet
Użytkownik
Zarejestrowany: 2007.01.27
Posty: 59
System: Gentoo Linux
Fluxbox:

Re: audacious - problem z kodekami

Kod:

Failed to load plugin (/usr/lib/audacious/Output/libarts.so): libartsc.so.0: nie można otworzyć pliku obiektu dzielonego: Nie ma takiego pliku ani katalogu

lrwxrwxrwx 1 root root    10 VII 23 16:51 libartsc.so.0 -> libarts.so

No to nie wiem co jest źle...

Offline

 

#6 2007.07.23 22:07:10

Minio
Electric Castle resident
Skąd: Brno, Česko
Zarejestrowany: 2006.11.22
Posty: 546
System: Debian Testing
Fluxbox: Plasma 5.10.5 ;) (Fb 1.3.5)
WWW

Re: audacious - problem z kodekami

A to nie jest tak, że w nawiasie masz ścieżkę do pliku, który wymaga pliku podanego po dwukropku (po jeszcze następnym dwukropku przyczyna błedu)?
Czyli libartsc.so.0 wymagane jest przez /usr/lib/audacious/Output/libarts.so, a tworząc dowiązanie do drugiego o nazwie pierwszego co najwyżej stworzysz pętlę, nie rozwiążesz problem.

Offline

 

#7 2007.07.23 22:27:17

hornet
Użytkownik
Zarejestrowany: 2007.01.27
Posty: 59
System: Gentoo Linux
Fluxbox:

Re: audacious - problem z kodekami

Co proponujesz?

Offline

 

#8 2007.07.24 11:44:17

Minio
Electric Castle resident
Skąd: Brno, Česko
Zarejestrowany: 2006.11.22
Posty: 546
System: Debian Testing
Fluxbox: Plasma 5.10.5 ;) (Fb 1.3.5)
WWW

Re: audacious - problem z kodekami

1. zapytać gugle czy nic nie wie na ten temat;
2. zapytać ludzi mających jakiekolwiek doświadczenie z Audaciousem (ja do takich nie należę; nie mają jakiegoś dedykowanego forum/ listy mailingowej?);
3. metoda windowsowa: odinstalowac program usuwając wszelkie po nim pozostałości i zainstalować ponownie;
3.a. możliwe, że wersja paczkowana Audaciousa nie zawiera bibliotek niezbędnych do odtworzenia odpowidnich plików; odpowiednie wtyczki znajdować się mogą albo w innej paczce albo niezbędne może być kompilowanie programu ze źródeł; ulepszona wersja może znajować się w AUR/ repozytorium niestabilnym;
4. zmienić odtwarzacz na taki, który po prostu działa.

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson